IniProperty (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.inifile

## Class IniProperty

- java.lang.Object
- - net.sf.antcontrib.inifile.IniProperty

- All Implemented Interfaces:
    IniPart

      public class IniProperty
      extends java.lang.Object
      implements IniPart

  A single property in an IniSection.
  Author:
    Matthew Inger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IniProperty()` Default constructor
    `IniProperty(java.lang.String name, java.lang.String value)` Construct an IniProperty with a certain name and value

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Gets the name of the property
    `java.lang.String` | `getValue()` Gets the value of the property
    `void` | `setName(java.lang.String name)` Sets the name of the property
    `void` | `setValue(java.lang.String value)` Sets the value of the property
    `void` | `write(java.io.Writer writer)` Write this property to a writer object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IniProperty

          public IniProperty()

      Default constructor

    - #### IniProperty

          public IniProperty(java.lang.String name,
                     java.lang.String value)

      Construct an IniProperty with a certain name and value
      Parameters:
        `name` - The name of the property
        `value` - The property value

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the property

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the property
      Parameters:
        `name` - The name of the property

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the property

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the property
      Parameters:
        `value` - the value of the property

    - #### write

          public void write(java.io.Writer writer)
                     throws java.io.IOException

      Write this property to a writer object.
      Specified by:
        `write` in interface `IniPart`
      Parameters:
        `writer` -
      Throws:
        `java.io.IOException`